MAV_ctorus(3)

NAME
MAV_ctorus - Default object class ``circular torus''.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  float rmajor;
  float rminor;
  float angle;
  int nverts;
  int nchips;
  int endcap;
  MAV_surfaceParams *sp;
  MAV_matrix matrix;
  void *userdef;
} MAV_ctorus;

DESCRIPTION
The circular torus (a torus with a circular cross section) is defined with its centre at the origin and with a major radius, rmajor, a minor radius, rminor, and to an angular extent, angle, in radians from the X axis around the Z axis.

When rendered, nverts vertices are used to facet the curved surface defined by the minor radius, and nchips vertices the curved surface defined by the major radius. Both values are only applicable if they are greater than two and mav_opt_curveLOD is not set. The symbolic constant endcap, set to MAV_TRUE or MAV_FALSE, control whether or not the object has endfaces or is effectively hollow.